interpolator1d.hh File Reference
`#include <vector>`
`#include <mia/core/defines.hh>`
`#include <mia/core/splinekernel.hh>`
Include dependency graph for interpolator1d.hh:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Data Structures

class | C1DInterpolator
| Basic Interpolator type for 1D Data. More...
class | C1DInterpolatorFactory
| Factory class for 1D interpolators. More...
class | T1DConvoluteInterpolator< T >
| Interpolator that uses some kind of spaciel kernel. More...
class | T1DInterpolator< T >
| Interpolator base class providing the full interface. More...

## Typedefs

typedef std::shared_ptr< const C1DInterpolatorFactory > | P1DInterpolatorFactory